﻿$ErrorActionPreference = 'Stop';
$toolsDir     = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$fileLocation = Join-Path $toolsDir 'french_handwriting.msi'

#Based on Msi
$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  softwareName  = 'SMART French Handwriting Resources*'
  file          = $fileLocation
  fileType      = 'msi'
  silentArgs    = "/qn /norestart /l*v `"$env:TEMP\$env:ChocolateyPackageName.$env:ChocolateyPackageVersion.log`" ALLUSERS=1"
  validExitCodes= @(0,1641,3010)
  url           = ""
  checksum      = '612900B8C42A2A0D62FE533031F698367BE6B21448D0739B1583B8174DE82D4F'
  checksumType  = 'sha256'
  url64bit      = ""
  checksum64    = ''
  checksumType64= 'sha256'
  destination   = $toolsDir
  #installDir   = "" # passed when you want to override install directory - requires licensed editions 1.9.0+
}

Install-ChocolateyInstallPackage @packageArgs

<#
== MSI Properties ==
These are the PROPERTIES of the MSI, some of which you can add or change to the silent args or add as package parameters
Note: This only captures what ends up in the MSI Property/AppSearch tables and is not guaranteed to cover all properties.


ARPURLINFOABOUT=http://www.smarttech.com
ARPNOMODIFY=**Property found in SecureCustomProperties**
ALLUSERS=**Property found in SecureCustomProperties**
LANG_PACK=1
DISALLOW_DOWNLOAD=1
ARPPRODUCTICON=CommonFiles_Icon
GALLERY_DIR=**Property found in SecureCustomProperties**
GALLERY_EXISTS=**Property found in SecureCustomProperties**
GALLERYCMDLINE=**Property found in SecureCustomProperties**
WIX_DOWNGRADE_DETECTED=**Property found in SecureCustomProperties**
WIX_UPGRADE_DETECTED=**Property found in SecureCustomProperties**
GALLERY_DIR=**Value is determined by MSI function**
GALLERY_EXISTS=**Value is determined by MSI function**
SMART_COMMON=**Value is used in MSI custom action DeleteEmptyFoldersOnUninstallProp**
LATCMDLINE=**Value is used in MSI custom action LaunchLATGallerySetup**
INSTALLDIR=**Value is used in MSI custom action SetARPINSTALLLOCATION**
STRINGS_FILE_PATH=**Value is used in MSI custom action SetCustomActionData**
DRIVERS_PATH=**Value is used in MSI custom action SetDriversInstalldir**
NOTEBOOK_PATH=**Value is used in MSI custom action SetNotebookInstalldir**
#>

